Index: trunk/NEMO/OPA_SRC/TRA/traadv_cen2_atsk.h90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traadv_cen2_atsk.h90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/traadv_cen2_atsk.h90	(revision 258)
@@ -252,9 +252,7 @@
       ENDIF
 
-      IF(l_ctl) THEN
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' had  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl)   THEN
+          CALL prt_ctl(tab3d_1=ta, clinfo1=' centered2 had  - Ta: ', mask1=tmask, &
+             &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
@@ -350,9 +348,7 @@
       ENDIF
 
-      IF(l_ctl) THEN
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' zad  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl, ' centered2 autotsk'
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl)   THEN
+          CALL prt_ctl(tab3d_1=ta, clinfo1=' centered2 zad  - Ta: ', mask1=tmask, &
+             &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/traadv_muscl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traadv_muscl.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/traadv_muscl.F90	(revision 258)
@@ -21,4 +21,5 @@
    USE lbclnk          ! ocean lateral boundary condition (or mpp link) 
    USE diaptr          ! poleward transport diagnostics
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -279,9 +280,7 @@
       ENDIF
 
-      IF(l_ctl) THEN
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' had  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl, ' muscl'
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' muscl had  - Ta: ', mask1=tmask ,  &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra' )
       ENDIF
 
@@ -412,9 +411,7 @@
       ENDIF
 
-      IF(l_ctl) THEN
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' zad  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl, ' muscl'
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' muscl zad  - Ta: ', mask1=tmask ,  &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/traadv_muscl2.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traadv_muscl2.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/traadv_muscl2.F90	(revision 258)
@@ -21,4 +21,5 @@
    USE lbclnk          ! ocean lateral boundary condition (or mpp link) 
    USE diaptr          ! poleward transport diagnostics
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -340,9 +341,7 @@
       ENDIF
 
-      IF(l_ctl) THEN
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' had  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl, ' muscl'
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' muscl2 had  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
@@ -486,9 +485,8 @@
       ENDIF
 
-      IF(l_ctl) THEN
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' zad  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl, ' muscl2'
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' muscl2 zad  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
+
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/traadv_tvd.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 258)
@@ -23,4 +23,5 @@
    USE lbclnk          ! ocean lateral boundary condition (or mpp link) 
    USE diaptr          ! poleward transport diagnostics
+   USE prtctl          ! Print control
 
 
@@ -86,5 +87,5 @@
       !! * Local declarations
       INTEGER  ::   ji, jj, jk              ! dummy loop indices
-      REAL(wp) ::   zta, zsa,            &  ! temporary scalar
+      REAL(wp) ::                        &  ! temporary scalar
          ztai, ztaj, ztak,               &  !    "         "   
          zsai, zsaj, zsak                   !    "         "   
@@ -343,9 +344,7 @@
       ENDIF
 
-      IF(l_ctl) THEN
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' zad  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl, ' tvd'
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' tvd adv  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 258)
@@ -16,4 +16,5 @@
    USE phycst          ! physical constants
    USE in_out_manager  ! I/O manager
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -83,5 +84,4 @@
       INTEGER ::   ji, jj              ! dummy loop indices
 #endif
-      REAL(wp) ::   zta                ! temporary scalar
       !!----------------------------------------------------------------------
 
@@ -107,8 +107,6 @@
 #endif
 
-      IF(l_ctl) THEN
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' bbc  - Ta: ', zta-t_ctl
-         t_ctl = zta
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' bbc  - Ta: ', mask1=tmask, clinfo3='tra-ta')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 258)
@@ -20,4 +20,5 @@
    USE trdmod_oce      ! ocean variables trends
    USE in_out_manager  ! I/O manager
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -370,9 +371,7 @@
       ENDIF
 
-      IF(l_ctl) THEN
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' bbl  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' bbl  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/trabbl_adv.h90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trabbl_adv.h90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/trabbl_adv.h90	(revision 258)
@@ -451,9 +451,7 @@
       ENDIF
 
-      IF(l_ctl) THEN
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' bbl  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' bbl  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/tradmp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 258)
@@ -26,4 +26,5 @@
    USE zdfmxl          ! mixed layer depth
    USE lib_mpp         ! distribued memory computing
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -184,9 +185,7 @@
       ENDIF
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' dmp  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' dmp  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/traldf_bilap.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 258)
@@ -19,4 +19,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE diaptr          ! poleward transport diagnostics
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -231,9 +232,7 @@
       ENDIF
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' ldf  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' ldf  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/traldf_bilapg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 258)
@@ -22,4 +22,5 @@
    USE lbclnk          ! ocean lateral boundary condition (or mpp link)
    USE diaptr          ! poleward transport diagnostics 
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -80,5 +81,4 @@
       !! * Local declarations
       INTEGER ::   ji, jj, jk                 ! dummy loop indices
-      REAL(wp) ::   zta, zsa                  ! temporary scalars 
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::   &
          wk3, wk4                ! work array used for rotated biharmonic
@@ -134,9 +134,7 @@
       ENDIF
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' ldf  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' ldf  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/traldf_iso.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 258)
@@ -21,4 +21,5 @@
    USE ldfslp          ! iso-neutral slopes
    USE diaptr          ! poleward transport diagnostics
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -254,9 +255,7 @@
       ENDIF
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' ldf  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' ldf  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/traldf_iso_zps.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traldf_iso_zps.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/traldf_iso_zps.F90	(revision 258)
@@ -21,4 +21,5 @@
    USE ldfslp          ! iso-neutral slopes
    USE diaptr          ! poleward transport diagnostics
+   USE prtctl          ! Print control
 
 
@@ -279,9 +280,7 @@
       ENDIF
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' ldf  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' ldf  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/traldf_lap.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traldf_lap.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/traldf_lap.F90	(revision 258)
@@ -17,4 +17,5 @@
    USE in_out_manager  ! I/O manager
    USE diaptr          ! poleward transport diagnostics
+   USE prtctl          ! Print control
 
 
@@ -157,9 +158,7 @@
       ENDIF
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' ldf  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' ldf  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/tranxt.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 258)
@@ -15,4 +15,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE obctra          ! open boundary condition (obc_tra routine)
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -165,7 +166,7 @@
       !                                                ! ===============
 
-      IF(l_ctl) THEN         ! print mean field (used for debugging)
-         WRITE(numout,*) ' nxt  - Tn: ', SUM(tn(2:nictl,2:njctl,1:jpkm1)*tmask(2:nictl,2:njctl,1:jpkm1)), &
-         &                      ' Sn: ', SUM(sn(2:nictl,2:njctl,1:jpkm1)*tmask(2:nictl,2:njctl,1:jpkm1)) 
+      IF(ln_ctl) THEN         ! print mean field (used for debugging)
+         CALL prt_ctl(tab3d_1=tn, clinfo1=' nxt  - Tn: ', mask1=tmask, &
+            &         tab3d_2=sn, clinfo2=' Sn: ', mask2=tmask)
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 258)
@@ -15,9 +15,8 @@
    USE trdmod_oce      ! ocean variables trends
    USE in_out_manager  ! I/O manager
-
    USE trc_oce         ! share SMS/Ocean variables
-
    USE ocesbc          ! thermohaline fluxes
    USE phycst          ! physical constants
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -235,8 +234,6 @@
 
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' qsr  - Ta: ', zta-t_ctl
-         t_ctl = zta 
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' qsr  - Ta: ', mask1=tmask, clinfo3='tra-ta')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/trasbc.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 258)
@@ -17,4 +17,5 @@
    USE trdmod_oce      ! ocean variables trends
    USE in_out_manager  ! I/O manager
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -138,9 +139,7 @@
       ENDIF
       
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' sbc  - Ta: ', zta, ' Sa: ', zsa
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' sbc  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/trazdf_exp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 258)
@@ -18,4 +18,5 @@
    USE zdfddm          ! ocean vertical physics: double diffusion
    USE in_out_manager  ! I/O manager
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -180,9 +181,7 @@
       ENDIF
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' zdf  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' zdf  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/trazdf_imp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 258)
@@ -19,4 +19,5 @@
    USE trdmod_oce      ! ocean variables trends
    USE in_out_manager  ! I/O manager
+   USE prtctl          ! Print control
 
 
@@ -84,5 +85,4 @@
       INTEGER ::   ji, jj, jk                 ! dummy loop indices
       INTEGER ::   ikst, ikenm2, ikstp1
-      REAL(wp)  ::   zta, zsa                 ! temporary scalars
       REAL(wp), DIMENSION(jpi,jpk) ::   &
          zwd, zws, zwi,          &  ! ???
@@ -243,9 +243,7 @@
       ENDIF
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' zdf  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' zdf  - Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/trazdf_iso.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trazdf_iso.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/trazdf_iso.F90	(revision 258)
@@ -24,4 +24,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE zdfkpp          ! KPP parameterisation
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -408,9 +409,7 @@
       ENDIF
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' zdf 1- Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' zdf 1- Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
@@ -578,8 +577,7 @@
       ENDIF
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' zdf 2- Ta: ', zta, ' Sa: ', zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' zdf 2- Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask)
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/TRA/trazdf_iso_vopt.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trazdf_iso_vopt.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/TRA/trazdf_iso_vopt.F90	(revision 258)
@@ -27,4 +27,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE zdfkpp          ! KPP parameterisation
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -70,6 +71,4 @@
       !! * Arguments
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
-      !! * Local variables
-      REAL(wp) :: zta, zsa               ! temporary scalars
 
       IF( kt == nit000 ) THEN
@@ -91,9 +90,7 @@
       CALL tra_zdf_iso( kt )
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' zdf 1- Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
-         t_ctl = zta   ;   s_ctl = zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' zdf 1- Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
       ENDIF
 
@@ -103,8 +100,7 @@
       CALL tra_zdf_zdf( kt )
 
-      IF(l_ctl) THEN         ! print mean trends (used for debugging)
-         zta = SUM( ta(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         zsa = SUM( sa(2:nictl,2:njctl,1:jpkm1) * tmask(2:nictl,2:njctl,1:jpkm1) )
-         WRITE(numout,*) ' zdf 2- Ta: ', zta, ' Sa: ', zsa
+      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+         CALL prt_ctl(tab3d_1=ta, clinfo1=' zdf 2- Ta: ', mask1=tmask, &
+            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask)
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/ZDF/zdfbfr.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 258)
@@ -17,4 +17,5 @@
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -170,5 +171,7 @@
       CALL lbc_lnk( avmv, 'V', 1. )
 
-      IF(l_ctl)   WRITE(numout,*) ' bfr  u : ', SUM( avmu(1:nictl+1,1:njctl+1,:) ), ' v : ', SUM( avmv(1:nictl+1,1:njctl+1,:) )
+      IF(ln_ctl)   THEN
+         CALL prt_ctl(tab3d_1=avmu, clinfo1=' bfr  - u: ', tab3d_2=avmv, clinfo2=' v: ', ovlap=1, kdim=jpk)
+      ENDIF
 
    END SUBROUTINE zdf_bfr
Index: trunk/NEMO/OPA_SRC/ZDF/zdfddm.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 258)
@@ -17,4 +17,5 @@
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -201,7 +202,7 @@
       CALL lbc_lnk( avmv, 'V', 1. )
 
-      IF(l_ctl) THEN
-         WRITE(numout,*) ' ddm  t : ', SUM( avt (1:nictl+1,1:njctl+1,:) ), ' s : ', SUM( avs (1:nictl+1,1:njctl+1,:) )
-         WRITE(numout,*) '      u : ', SUM( avmu(1:nictl+1,1:njctl+1,:) ), ' v : ', SUM( avmv(1:nictl+1,1:njctl+1,:) )
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=avt , clinfo1=' ddm  - t: ', tab3d_2=avs , clinfo2=' s: ', ovlap=1, kdim=jpk)
+         CALL prt_ctl(tab3d_1=avmu, clinfo1=' ddm  - u: ', tab3d_2=avmv, clinfo2=' v: ', ovlap=1, kdim=jpk)
       ENDIF
       
Index: trunk/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 258)
@@ -23,4 +23,5 @@
    USE ocesbc          ! thermohaline fluxes
    USE zdfddm          ! double diffusion mixing
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -145,6 +146,6 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL   (2005)
-   !! $Header$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
@@ -1247,4 +1248,15 @@
          CALL lbc_lnk( avmu(:,:,:), 'U', 1. )   ;    CALL lbc_lnk( avmv(:,:,:), 'V', 1. )  
  
+         IF(ln_ctl) THEN
+#if defined key_zdfddm
+            CALL prt_ctl(tab3d_1=avt  , clinfo1=' kpp  - t: ', tab3d_2=avs , clinfo2=' s: ', &
+               &         ovlap=1, kdim=jpk)
+#else
+            CALL prt_ctl(tab3d_1=avt  , clinfo1=' kpp  - t: ', ovlap=1, kdim=jpk)
+#endif
+            CALL prt_ctl(tab3d_1=avmu  , clinfo1='       u: ', tab3d_2=avmv , clinfo2=' v: ', &
+               &         ovlap=1, kdim=jpk)
+         ENDIF
+
    END SUBROUTINE zdf_kpp
 
@@ -1268,5 +1280,4 @@
       !!     9.0  ! 05-01 (C. Ethe) F90 : free form
       !!----------------------------------------------------------------------
-      !! * Module used
       !! * local declarations
 
Index: trunk/NEMO/OPA_SRC/ZDF/zdfmxl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 258)
@@ -13,4 +13,5 @@
    USE zdf_oce         ! ocean vertical physics
    USE in_out_manager  ! I/O manager
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -134,5 +135,8 @@
       !                                                ! ===============
 
-      IF(l_ctl)   WRITE(numout,*) ' nmln : ', SUM( nmln(1:nictl+1,1:njctl+1) ), ' hmld: ', SUM( hmld(1:nictl+1,1:njctl+1) )
+      IF(ln_ctl)   THEN
+         CALL prt_ctl(tab2d_1=FLOAT(nmln), clinfo1=' nmln : ', tab2d_2=hmld, clinfo2=' hmld : ', ovlap=1)
+      ENDIF
+      
 
    END SUBROUTINE zdf_mxl
@@ -235,5 +239,7 @@
       END DO
 
-      IF(l_ctl)   WRITE(numout,*) ' nmln : ', SUM( nmln(1:nictl+1,1:njctl+1) ), ' hmld: ', SUM( hmld(1:nictl+1,1:njctl+1) )
+      IF(ln_ctl)   THEN
+         CALL prt_ctl(tab2d_1=FLOAT(nmln), clinfo1=' nmln : ', tab2d_2=hmld, clinfo2=' hmld : ', ovlap=1)
+      ENDIF
 
    END SUBROUTINE zdf_mxl
Index: trunk/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 258)
@@ -20,4 +20,5 @@
    USE phycst          ! physical constants
    USE taumod          ! surface stress
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -614,7 +615,7 @@
       CALL lbc_lnk( avt, 'W', 1. )
 
-      IF(l_ctl) THEN
-         WRITE(numout,*) ' tke  e : ', SUM( en  (1:nictl+1,1:njctl+1,:) ), ' t : ', SUM( avt (1:nictl+1,1:njctl+1,:) )
-         WRITE(numout,*) '      u : ', SUM( avmu(1:nictl+1,1:njctl+1,:) ), ' v : ', SUM( avmv(1:nictl+1,1:njctl+1,:) )
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=en  , clinfo1=' tke  - e: ', tab3d_2=avt , clinfo2=' t: ', ovlap=1, kdim=jpk)
+         CALL prt_ctl(tab3d_1=avmu, clinfo1=' tke  - u: ', tab3d_2=avmv, clinfo2=' v: ', ovlap=1, kdim=jpk)
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/ZDF/zdftke_atsk.h90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdftke_atsk.h90	(revision 257)
+++ trunk/NEMO/OPA_SRC/ZDF/zdftke_atsk.h90	(revision 258)
@@ -478,7 +478,7 @@
       CALL lbc_lnk( avt, 'W', 1. )
 
-      IF(l_ctl) THEN
-         WRITE(numout,*) ' tke  e : ', SUM( en  (1:nictl+1,1:njctl+1,:) ), ' t : ', SUM( avt (1:nictl+1,1:njctl+1,:) )
-         WRITE(numout,*) '      u : ', SUM( avmu(1:nictl+1,1:njctl+1,:) ), ' v : ', SUM( avmv(1:nictl+1,1:njctl+1,:) )
+      IF(ln_ctl) THEN
+         CALL prt_ctl(tab3d_1=en  , clinfo1=' tke  - e: ', tab3d_2=avt , clinfo2=' t: ', ovlap=1, kdim=jpk)
+         CALL prt_ctl(tab3d_1=avmu, clinfo1=' tke  - u: ', tab3d_2=avmv, clinfo2=' v: ', ovlap=1, kdim=jpk)
       ENDIF
 
Index: trunk/NEMO/OPA_SRC/daymod.F90
===================================================================
--- trunk/NEMO/OPA_SRC/daymod.F90	(revision 257)
+++ trunk/NEMO/OPA_SRC/daymod.F90	(revision 258)
@@ -12,4 +12,5 @@
    USE phycst          ! physical constants
    USE in_out_manager  ! I/O manager
+   USE prtctl          ! Print control
 
    IMPLICIT NONE
@@ -69,4 +70,5 @@
       INTEGER  ::   iend, iday0, iday1   ! temporary integers
       REAL(wp) :: zadatrjn, zadatrjb     ! adatrj at timestep kt-1 and kt-2 
+      CHARACTER (len=25) :: charout
       !!----------------------------------------------------------------------
 
@@ -153,5 +155,8 @@
       ENDIF
 
-      IF(l_ctl) WRITE(numout,*)' kt =', kt, 'd/m/y =', nday, nmonth, nyear
+      IF(ln_ctl) THEN
+         WRITE(charout,FMT="('kt =', I4,'  d/m/y =',I2,I2,I4)") kt, nday, nmonth, nyear
+         CALL prt_ctl_info(charout)
+      ENDIF
 
    END SUBROUTINE day
